/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo;

import com.liferay.portal.kernel.util.LocalizationUtil;
import com.liferay.portal.kernel.workflow.DefaultWorkflowDefinition;
import com.liferay.portal.workflow.kaleo.model.KaleoDefinition;

/**
 * @author Michael C. Han
 */
public class WorkflowDefinitionAdapter extends DefaultWorkflowDefinition {

	public WorkflowDefinitionAdapter(KaleoDefinition kaleoDefinition) {
		setActive(kaleoDefinition.getActive());
		setContent(kaleoDefinition.getContent());
		setName(kaleoDefinition.getName());
		setTitle(kaleoDefinition.getTitle());
		setVersion(kaleoDefinition.getVersion());
	}

	@Override
	public String getTitle(String languageId) {
		return LocalizationUtil.getLocalization(getTitle(), languageId);
	}

}