/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo;

import com.liferay.portal.kernel.workflow.DefaultWorkflowLog;
import com.liferay.portal.model.Role;
import com.liferay.portal.workflow.kaleo.model.KaleoLog;
import com.liferay.portal.workflow.kaleo.util.KaleoLogUtil;

/**
 * @author Michael C. Han
 */
public class WorkflowLogAdapter extends DefaultWorkflowLog {

	public WorkflowLogAdapter(KaleoLog kaleoLogEntry) {
		setAuditUserId(kaleoLogEntry.getUserId());
		setComment(kaleoLogEntry.getComment());
		setCreateDate(kaleoLogEntry.getCreateDate());
		setPreviousState(kaleoLogEntry.getPreviousKaleoNodeName());

		long previousAssigneeClassPK =
			kaleoLogEntry.getPreviousAssigneeClassPK();

		if (previousAssigneeClassPK > 0) {
			String previousAssigneeClassName =
				kaleoLogEntry.getPreviousAssigneeClassName();

			if (previousAssigneeClassName.equals(Role.class.getName())) {
				setPreviousRoleId(previousAssigneeClassPK);
			}
			else {
				setPreviousUserId(previousAssigneeClassPK);
			}
		}

		long currentAssigneeClassPK = kaleoLogEntry.getCurrentAssigneeClassPK();

		if (currentAssigneeClassPK > 0) {
			String currentAssigneeClassName =
				kaleoLogEntry.getCurrentAssigneeClassName();

			if (currentAssigneeClassName.equals(Role.class.getName())) {
				setRoleId(currentAssigneeClassPK);
			}
			else {
				setUserId(currentAssigneeClassPK);
			}
		}

		setState(kaleoLogEntry.getKaleoNodeName());
		setType(KaleoLogUtil.convert(kaleoLogEntry.getType()));
		setWorkflowLogId(kaleoLogEntry.getKaleoLogId());
		setWorkflowTaskId(kaleoLogEntry.getKaleoTaskInstanceTokenId());
	}

}