/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo.comparator;

import com.liferay.portal.kernel.workflow.comparator.BaseWorkflowLogUserIdComparator;

/**
 * @author Shuyang Zhou
 */
public class WorkflowLogUserIdComparator
	extends BaseWorkflowLogUserIdComparator {

	public static final String ORDER_BY_ASC = "userId ASC, kaleoLogId ASC";

	public static final String ORDER_BY_DESC = "userId DESC, kaleoLogId DESC";

	public static final String[] ORDER_BY_FIELDS = {"userId", "kaleoLogId"};

	public WorkflowLogUserIdComparator() {
		super();
	}

	public WorkflowLogUserIdComparator(boolean asc) {
		super(asc);
	}

	@Override
	public String getOrderBy() {
		if (isAscending()) {
			return ORDER_BY_ASC;
		}
		else {
			return ORDER_BY_DESC;
		}
	}

	@Override
	public String[] getOrderByFields() {
		return ORDER_BY_FIELDS;
	}

}