/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.kaleo.model.impl;

import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.workflow.kaleo.model.KaleoTaskAssignment;
import com.liferay.portal.workflow.kaleo.model.KaleoTimer;
import com.liferay.portal.workflow.kaleo.service.KaleoTaskAssignmentLocalServiceUtil;

import java.util.List;

/**
 * @author Brian Wing Shun Chan
 */
public class KaleoTimerImpl extends KaleoTimerBaseImpl {

	public KaleoTimerImpl() {
	}

	public List<KaleoTaskAssignment> getKaleoTaskReassignments()
		throws SystemException {

		return KaleoTaskAssignmentLocalServiceUtil.getKaleoTaskAssignments(
			KaleoTimer.class.getName(), getKaleoTimerId());
	}

	public boolean isRecurring() {
		if (Validator.isNotNull(getRecurrenceScale())) {
			return true;
		}
		else {
			return false;
		}
	}

}